package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsDhData;

/**
 * 动环数据Mapper接口
 *
 * @author xzzn
 * @date 2025-07-28
 */
public interface EmsDhDataMapper
{
    /**
     * 查询动环数据
     *
     * @param id 动环数据主键
     * @return 动环数据
     */
    public EmsDhData selectEmsDhDataById(Long id);

    /**
     * 查询动环数据列表
     *
     * @param emsDhData 动环数据
     * @return 动环数据集合
     */
    public List<EmsDhData> selectEmsDhDataList(EmsDhData emsDhData);

    /**
     * 新增动环数据
     *
     * @param emsDhData 动环数据
     * @return 结果
     */
    public int insertEmsDhData(EmsDhData emsDhData);

    /**
     * 修改动环数据
     *
     * @param emsDhData 动环数据
     * @return 结果
     */
    public int updateEmsDhData(EmsDhData emsDhData);

    /**
     * 删除动环数据
     *
     * @param id 动环数据主键
     * @return 结果
     */
    public int deleteEmsDhDataById(Long id);

    /**
     * 批量删除动环数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsDhDataByIds(Long[] ids);
}
